Update/upsert the follower count.
API Key API key used for authentication
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Name platform explicitly or use the legacy source-as-platform form.
Name platform explicitly or use the legacy source-as-platform form.
application/json
application/json
curl -X POST "https://example.com/follower/update" \ -H "Content-Type: application/json" \ -d '{ "followerCount": 1500, "platform": "twitch", "accountId": null }'{ "id": "test-user-id-1234567890", "followerCount": 1500, "platform": "twitch", "accountId": null, "origin": "manual", "recordedAt": "2026-08-31T13:56:56.298Z", "createdAt": "2026-08-31T13:56:56.298Z"}{ "error": "string", "code": "string", "details": null}Platform that owns this follower count
^[a-z0-9][a-z0-9-]{0,31}$Legacy producer label; not returned in follower DTOs
^[a-z0-9][a-z0-9_-]{0,79}$length <= 80"api"Provider-native account ID. Omit or pass null only for a platform-wide manual value.
Current follower count
0 <= value <= 1000000000